org.apache.cassandra.db

## Class SerializationHeader.Component

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataComponent
  - - org.apache.cassandra.db.SerializationHeader.Component

All Implemented Interfaces:
  java.lang.Comparable<MetadataComponent>

Enclosing class:
  SerializationHeader

    public static class SerializationHeader.Component
    extends MetadataComponent

We need the CFMetadata to properly deserialize a SerializationHeader but it's clunky to pass that to a SSTable component, so we use this temporary object to delay the actual need for the metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`java.util.List<AbstractType<?>>` `getClusteringTypes()`
`EncodingStats` `getEncodingStats()`
`AbstractType<?>` `getKeyType()`
`java.util.Map<java.nio.ByteBuffer,AbstractType<?>>` `getRegularColumns()`
`java.util.Map<java.nio.ByteBuffer,AbstractType<?>>` `getStaticColumns()`
`MetadataType` `getType()`
`int` `hashCode()`
`SerializationHeader` `toHeader(CFMetaData metadata)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.io.sstable.metadata.MetadataComponent

`compareTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public MetadataType getType()

Specified by:
  `getType` in class `MetadataComponent`
Returns:
  Metadata component type

#### toHeader

    public SerializationHeader toHeader(CFMetaData metadata)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getKeyType

    public AbstractType<?> getKeyType()

#### getClusteringTypes

    public java.util.List<AbstractType<?>> getClusteringTypes()

#### getStaticColumns

    public java.util.Map<java.nio.ByteBuffer,AbstractType<?>> getStaticColumns()

#### getRegularColumns

    public java.util.Map<java.nio.ByteBuffer,AbstractType<?>> getRegularColumns()

#### getEncodingStats

    public EncodingStats getEncodingStats()